[zeromq-dev] Problem with libtool --version in autogen.sh

Martin Lucina mato at kotelna.sk
Mon Mar 15 15:49:44 CET 2010


Brian,

ellisonbg at gmail.com said:
> Yes, with this fix,, I can build from git master just fine and all my
> tests pass.

OK, I cleaned up autogen.sh and changed it to use the construct "command -v
COMMAND" to test for presence of COMMAND which should work on any POSIX
system and doesn't actually try to execute COMMAND, just looks it up on the
PATH.

I also clarified some of the error messages to be more explicit, i.e. "XYZ
was not found, is required to run autogen.sh".

Cheers,

-mato



More information about the zeromq-dev mailing list